PPL C Language Interface: ppl_PIP_Solution_Node_tag Interface Reference

PPL C Language Interface 1.2

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Members

Related Functions | List of all members
ppl_PIP_Solution_Node_tag Interface Reference

Types and functions for PIP solution nodes. More...

`#include <ppl_c_header.h>`

## Related Functions
(Note that these are not member functions.)
int | ppl_PIP_Solution_Node_get_parametric_values (ppl_const_PIP_Solution_Node_t pip_sol, ppl_dimension_type var, ppl_const_Linear_Expression_t *le)
| Writes to `le` a const pointer to the parametric expression of the values of variable `var` in solution node `pip_sol`. More...
Input/Output Functions
int | ppl_io_print_PIP_Solution_Node (ppl_const_PIP_Solution_Node_t x)
| Prints `x` to `stdout`.
int | ppl_io_fprint_PIP_Solution_Node (FILE *stream, ppl_const_PIP_Solution_Node_t x)
| Prints `x` to the given output `stream`.
int | ppl_io_asprint_PIP_Solution_Node (char **strp, ppl_const_PIP_Solution_Node_t x)
| Prints `x` to a malloc-allocated string, a pointer to which is returned via `strp`.
int | ppl_PIP_Solution_Node_ascii_dump (ppl_const_PIP_Solution_Node_t x, FILE *stream)
| Dumps an ascii representation of `x` on `stream`.
int | ppl_PIP_Solution_Node_ascii_load (ppl_PIP_Solution_Node_t x, FILE *stream)
| Loads an ascii representation of `x` from `stream`.

## Detailed Description

Types and functions for PIP solution nodes.

The types and functions for solution nodes provide an interface towards PIP_Solution_Node.

## Friends And Related Function Documentation

int ppl_PIP_Solution_Node_get_parametric_values | ( | ppl_const_PIP_Solution_Node_t | pip_sol,
|  | ppl_dimension_type | var,
|  | ppl_const_Linear_Expression_t * | le
| ) |  |
| related

Writes to `le` a const pointer to the parametric expression of the values of variable `var` in solution node `pip_sol`.

The linear expression assigned to `le` will only refer to (problem or artificial) parameters.

Parameters

  pip_sol | The solution tree node.
  var | The variable which is queried about.
  le | The returned expression for variable `var`.

Returns
  PPL_ERROR_INVALID_ARGUMENT Returned if `var` is dimension-incompatible with `*this` or if `var` is a problem parameter.

The documentation for this interface was generated from the following file:

- ppl_c_header.h